| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PropertyList Class Reference

`#include <GaudiKernel/PropertyList.h>`

Inheritance diagram for PropertyList:

[legend]
Collaboration diagram for PropertyList:

[legend]
List of all members.

## Detailed Description

List of properties.

Author:
  David Quarrie

  Pere Mato

Definition at line 17 of file PropertyList.h.

## Public Member Functions
| PropertyList ()
| Constructor.
| PropertyList (const std::string &name)
| Constructor giving a name.
virtual | ~PropertyList ()
| Virtual destructor.
bool | isRef () const
| Accessor members (const).
void | addProperty (const std::string &name, Property &p)
| Add a property to the list.
void | addProperty (Property &p)
| Add a property to the list.
void | removeProperty (const std::string &name)
| Remove a property from the list.
void | removeProperty (Property &p)
| Remove a property from the list.
bool | assign (const Property &p)
| Property implementation: set property.
bool | load (Property &p) const
| Property implementation: get property.
bool | assign (const std::string &name, const Property &p)
| Property implementation: set property.
bool | load (const std::string &name, Property &p) const
| Property implementation: get property.
const Property & | getProperty (const std::string &name) const
| Get the property with a given name.
const std::vector< Property * > & | getProperties () const
| Get the complete list of properties.
## Private Attributes
std::vector< Property * > | m_propertyList

## Constructor & Destructor Documentation

PropertyList::PropertyList | ( |  | ) |

Constructor.

PropertyList::PropertyList | ( | const std::string & | name | ) |

Constructor giving a name.

virtual PropertyList::~PropertyList | ( |  | ) | `[virtual]`

Virtual destructor.

## Member Function Documentation

bool PropertyList::isRef | ( |  | ) | const`[inline]`

Accessor members (const).

Definition at line 27 of file PropertyList.h.

    00027 { return false; }

void PropertyList::addProperty | ( | const std::string & | name,
|  | Property & | p |
| ) |  |  |

Add a property to the list.

void PropertyList::addProperty | ( | Property & | p | ) |

Add a property to the list.

void PropertyList::removeProperty | ( | const std::string & | name | ) |

Remove a property from the list.

void PropertyList::removeProperty | ( | Property & | p | ) |

Remove a property from the list.

bool PropertyList::assign | ( | const Property & | p | ) | `[virtual]`

Property implementation: set property.

Implements Property.

bool PropertyList::load | ( | Property & | p | ) | const`[virtual]`

Property implementation: get property.

Implements Property.

bool PropertyList::assign | ( | const std::string & | name,
|  | const Property & | p |
| ) |  |  |

Property implementation: set property.

bool PropertyList::load | ( | const std::string & | name,
|  | Property & | p |
| ) |  |  | const

Property implementation: get property.

const Property& PropertyList::getProperty | ( | const std::string & | name | ) | const

Get the property with a given name.

const std::vector<Property*>& PropertyList::getProperties | ( |  | ) | const

Get the complete list of properties.

## Member Data Documentation

std::vector<Property*> PropertyList::m_propertyList`[private]`

Definition at line 53 of file PropertyList.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/PropertyList.h